explosion = class:new()

function explosion:init(x,y,damage)
	self.name = "explosion"
	self.x = x
	self.y = y
	self.width = 10
	self.height = 10
	self.timer = 0
	self.remove = false
    self.damage = damage
    playsound(explosionsnd)
end
function explosion:update(dt)
	self.timer = self.timer + 1*dt
	if self.timer >= 0.5 then
		self.remove = true
	end
	self.x = self.x - 40*dt
	self.y = self.y - 40*dt
	self.width = self.width + 80*dt
	self.height = self.height + 80*dt
	for i,v in pairs(objects) do
		if v.name == "zombie" or v.name == "player" then
			if collision(self.x,self.y,self.width,self.height,v.x,v.y,v.width,v.height) then
				v.health = v.health - self.damage
				if v.name == "player" then
					v.reason = "explosion"
				end
			end
		end
	end
end
function explosion:draw()
	love.graphics.setColor(255,255,255)
	if physicsdebug then
		love.graphics.rectangle("fill",self.x,self.y,self.width,self.height)
	end
	love.graphics.setColor(255,150,0)
	love.graphics.draw(flameimg,self.x,self.y,0,self.width/20,self.height/20)
end