function updatephysics(dt)
	for i,v1 in pairs(objects) do
		if v1.name == "player" or v1.name == "zombie" then
			local cx = v1.x+v1.xspeed*dt
			local cy = v1.y+v1.yspeed*dt
			local vertical = 0
			local horizontal = 0
			if v1.xspeed and v1.yspeed ~= nil and not paused then
				if blocks[1] ~= nil then
					for i,v2 in pairs(blocks) do
						--directions
						if v1.x+v1.width <= v2.x then
							horizontal = -1
						elseif v1.x >= v2.x+v2.width then
							horizontal = 1
						end
						if v1.y+v1.height <= v2.y then
							vertical = -1
						elseif v1.y >= v2.y+v2.height then
							vertical = 1
						end
						--collision
						if not collision(cx,v1.y,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
							v1.x = cx
						elseif horizontal == 1 then --from left
							local cx = v1.x-math.sqrt((v2.x+v2.width-v1.x)^2)
							if not collision(cx,v1.y,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
								v1.x = cx
							end
						elseif horizontal == -1 then --from right
							local cx = v1.x+math.sqrt((v1.x+v1.width-v2.x)^2)
							if not collision(cx,v1.y,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
								v1.x = cx
							end
						end
						if not collision(v1.x,cy,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
							v1.y = cy
						elseif vertical == 1 then --from up
							local cy = v1.y-math.sqrt((v2.y+v2.height-v1.y)^2)
							if not collision(v1.x,cy,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
								v1.y = cy
							end
						elseif vertical == -1 then --from down
							local cy = v1.y+math.sqrt((v1.y+v1.height-v2.y)^2)
							if not collision(v1.x,cy,v1.width,v1.height,v2.x,v2.y,v2.width,v2.height) and not v1.static then
								v1.y = cy
							end
						end
					end
				end
			end
		end
	end
end
function collision(ax,ay,aw,ah,bx,by,bw,bh)
	return ax < bx+bw and ax+aw > bx and ay < by+bh and ay+ah > by
end