require "class"
require "game"
require "variables"
require "player"
require "zombie"
require "bullet"
require "drop"
require "explosion"
require "physics"
require "area"
require "block"

function love.load()
	--be warned, this isnt exactly the bestest code
	math.randomseed(os.time());math.random();math.random();math.random()
	math.randomseed(os.time());math.random();math.random();math.random()
	
	fontsize = 0.5
	font = love.graphics.newFont("font.ttf",24)
	--font = love.graphics.newFont(24)
	love.graphics.setFont(font)
	
	love.graphics.setDefaultImageFilter("nearest", "nearest")
	love.graphics.setBackgroundColor(0,0,0)
    playerimg = love.graphics.newImage("player.png")
    
    zombieimg = love.graphics.newImage("zombie.png")
    zombieimgquads = {}
	for i = 1, 5 do
		zombieimgquads[i] = love.graphics.newQuad((i*20)-20,0,20,20,5*20,20)
	end
	
    flashimg = love.graphics.newImage("flash.png")
    crosshairimg = love.graphics.newImage("crosshair.png")
    gradientimg = love.graphics.newImage("gradient.png")
    hudimg = love.graphics.newImage("hud.png")
    layer1img = love.graphics.newImage("maps/map1/layer1.png")
    layer2img = love.graphics.newImage("maps/map1/layer2.png")
    bulletimg = love.graphics.newImage("bullet.png")
    flameimg = love.graphics.newImage("flame.png")
    rocketimg = love.graphics.newImage("rocket.png")
    grenadeimg = love.graphics.newImage("grenade.png")

    hpbackimg = love.graphics.newImage("hpback.png")   
    hpbarimg = love.graphics.newImage("hpbar.png")
    hpbarimgquads = {}
	for i = 1, 3 do
		hpbarimgquads[i] = love.graphics.newQuad((i*6)-6,0,6,28,3*6,28)
	end
    
    pistolsnd = love.audio.newSource("sounds/pistol.wav", "static")
    machinegunsnd = love.audio.newSource("sounds/machinegun.wav", "static")
    explosionsnd = love.audio.newSource("sounds/explosion.wav", "static")
    riflesnd = love.audio.newSource("sounds/rifle.wav", "static")
    flamesnd = love.audio.newSource("sounds/flames.wav", "static")
    rpgsnd = love.audio.newSource("sounds/rpg.wav", "static")
    pickupsnd = love.audio.newSource("sounds/pickup.wav", "static")
    hitsnd = love.audio.newSource("sounds/hit.wav", "static")
    minigunsnd = love.audio.newSource("sounds/minigun.wav", "static")
    minigunwindsnd = love.audio.newSource("sounds/minigunwind.wav", "static")
    flameswindsnd = love.audio.newSource("sounds/flameswind.wav", "static")
    
    zombiesnd = {}
    zombiesnd[1] = love.audio.newSource("sounds/zombie1.wav", "static")
    zombiesnd[2] = love.audio.newSource("sounds/zombie2.wav", "static")
    zombiesnd[3] = love.audio.newSource("sounds/zombie3.wav", "static")
    zombiesnd[4] = love.audio.newSource("sounds/zombie4.wav", "static")
    
    menumusic = love.audio.newSource("sounds/music/menu.mp3", "stream");menumusic:setLooping(true)
    
    mouseingame = false
    mouseisdown = false
	windowWidth = love.graphics.getWidth()
	windowHeight = love.graphics.getHeight()
	love.mouse.setVisible(false)
	
	scale = 2
	love.graphics.setMode(windowWidth*scale, windowHeight*scale)

	
	game_load()
end
function love.update(dt)
	mousex, mousey = mousePosition()
	if _G[gamestate .. "_update"] then
		_G[gamestate .. "_update"](dt)
	end
	love.graphics.setCaption("FPS: "..tostring(love.timer.getFPS()))
end
function love.draw()
    love.graphics.scale(scale)
	if _G[gamestate .. "_draw"] then
		_G[gamestate .. "_draw"]()
	end
	love.graphics.print(version,200-50,280,0,fontsize,fontsize)
end
function love.keypressed(k,u)
	if _G[gamestate .. "_keypressed"] then
		_G[gamestate .. "_keypressed"](k,u)
	end
end
function love.mousepressed(x, y, button)
    if button == "l" then
    	mouseisdown = true
	end
end
function love.mousereleased(x,y,button)
	if button == "l" then
    	mouseisdown = false
    end
end
function playsound(source)
	love.audio.stop(source);love.audio.rewind(source);love.audio.play(source)
end
function split( _sInput,_sDelimiter )
	local tReturn = {}
	local delimiter = string.gsub( _sDelimiter,"([%^%$%(%)%%%.%[%]%*%+%-%?])","%%%a" )
	local searchPattern = "([^"..delimiter.."]+)"..delimiter.."?"
	for match in string.gmatch( _sInput,searchPattern ) do
		table.insert( tReturn,match )
	end
	return tReturn
end
function mousePosition()
	if mouseingame then
		for i, v in pairs(objects) do
			if v.name == "player" then
				return v.x + love.mouse.getX()/scale -windowWidth/2, v.y + love.mouse.getY()/scale -windowHeight/2
			end
		end
	else
		return love.mouse.getX(), love.mouse.getY()
	end
end